Page MenuHomePhabricator

Change default phabricator time format to something standard (don't use AM and PM)
Closed, ResolvedPublic

Description

https://phabricator.wikimedia.org/T85864#968787 shows two comments, the first posted on "Jan 11, 12:01 AM" and the second on "Jan 11, 8:10 AM". So, the second was 4 hours earlier and a goblin switched order of display? No, it was 8 later, because 12 should be 0 (base 12).

We have an international audience and we can't afford wasting brain cycles of the average user so much. Bugzilla used 2004-08-10 08:24:26 UTC and we know that's the one and only format, but I'm open to suggestions.

Event Timeline

Nemo_bis created this task.Jan 11 2015, 9:12 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: Phabricator.
Nemo_bis added a subscriber: Nemo_bis.

I suppose you're asking for G:i A or H:i?

Is only time (and not date?) configurable?

Yeah, AM and PM are just broken but the current behavior is the more common one (see table on en.wp).

Is only time (and not date?) configurable?

https://secure.phabricator.com/T5296

Aklapper renamed this task from Change default phabricator time format to something standard to Change default phabricator time format to something standard (don't use AM and PM).Jan 11 2015, 11:03 PM
Aklapper triaged this task as Lowest priority.
Aklapper set Security to None.
Qgil added a subscriber: Qgil.Jan 12 2015, 7:20 AM

As far as I can see, there is no configuration option in Phabricator to do this. It might make sense to propose this upstream, since 24h time format is quite expected in technical tools for international audiences, and must be an easy change to implement.

Qgil moved this task from Backlog to Ready To Go on the Phabricator (Upstream) board.

Might theoretically be merged by broadening the scope of T110 (upstream: https://secure.phabricator.com/T5296#62802 ) though that is about date, not time?

We can set a different default date format using the translate infrastructure:

https://github.com/phacility/phabricator/blob/a7a3c90f145b9ad36050eb2cb989da759368d5d4/src/view/viewutils.php#L59

by mapping

'g:i A' --> 'H:i'.

Nightinis added a subscriber: Nightinis.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:03 PM
epriestley added a subscriber: epriestley.

Phabricator has supported 24-hour time (in SettingsDate and TimeTime Format) since June 2016 (see https://secure.phabricator.com/T5296#185680), so I believe the primary issue is resolved.

Otherwise, I am currently satisfied with the flexibility Phabricator provides in customizing date and time formats and don't currently anticipate making additional upstream changes that substantially increase the customizability of date and time formats (see linked comment for details). Notably, this means that some contexts show dynamic recent/human-readable date or time information in a format which is unambiguous, but not dictated by the "Date Format" setting, notably "Mon, Jan 1" and "Jan 1 20XX" in recent and less-recent timeline stories.

Aklapper closed this task as Resolved.Jul 4 2019, 2:04 AM

Resolving as per last comment and as I don't see any AM or PM (mentioned in the task summary) in my user interface as I enabled 24h format in my settings.